Compilando e instalando o XFCE 4.2 no SuSE através dos fontes

O XFCE 4.2 é uma coleção de aplicativos que ao todo compõe um ambiente de desktop. Tentarei mostrar neste artigo como compilar e instalar o XFCE 4.2. Foi usado o SuSE 9.3 nos procedimentos usados neste tutorial.

[ Hits: 27.040 ]

Por: Israel Mendonça em 09/05/2006


Adquirindo o código-fonte (source-code)



A primeira coisa a fazer é conseguir o código-fonte do XFCE 4.2. Neste artigo usarei o código-fonte da versão 4.2.3.2. O arquivo usado foi o xfce-4.2.3.2-src.tar.bz2, na página oficial tem links para baixar o arquivo. Eu recomendo usar este link:
Ao abrir o link, escolha um mirror e desça o pacote. O MD5 do pacote é:

44e126e47657969657ff86fb558d54ea

Verifique o MD5 com o comando md5sum:

$ md5sum xfce-4.2.3.2-src.tar.bz2

    Próxima página

Páginas do artigo
   1. Adquirindo o código-fonte (source-code)
   2. Descompactando o pacote
   3. Configurando, compilando e instalando
   4. Adicionando uma entrada no kdm ou gdm
   5. Considerações finais
Outros artigos deste autor
Nenhum artigo encontrado.
Leitura recomendada

GNU/Linux de Bolso como Ferramenta Anti-Vírus

O que é GNU Social? Porquê usar?

Instalando Beryl no Windows XP

LPIC-1 - Guia de Estudos

Programação (I) - Planejamento e Otimização

  
Comentários
[1] Comentário enviado por hccelo em 10/05/2006 - 09:18h

po... legal! tudo nos minimos detalhes... hehehe

será que alguém já usa o Thunar? dizem que é um ótimo gerenciador de arquivos, e muito leve. Ainda está em fase beta, mas vale dar uma conferida.
http://thunar.xfce.org/index.html

[2] Comentário enviado por Psico.Indie em 10/05/2006 - 15:46h

Muito bacana o seu artigo, está de parabéns! Já testei o Tunar e a nova versão em teste do xfce, está muito boa. É impressão minha ou está mais leve?

[3] Comentário enviado por junior lohan em 11/05/2006 - 20:24h

po cara, vc caiu do ceu!!!! estava com muita duvida, brigadaum, msm sem vc estar sabendo q eu estava com problema!!!!! abraçoss!!!! lohan

[4] Comentário enviado por PCMasterPB em 13/05/2006 - 00:35h

Uma pequena correção tem que ser citada, pois no momento em que redigi o artigo passei batido mesmo revisando-o. No item 3 (Configurando, compilando e instalando), o pacote xfce-utils-4.2.3 tem que ser compilado após libxfcegui4-4.2.3 e não como está no texto, que vem depois do pacote dbh-1.0.24, pois o pacote xfce-utils-4.2.3 vai depender das bibliotecas para ser compilado. Peço desculpas se alguém que tenha tentado seguir o passo-a-passo não tenha obtido resultado satisfatório. Foi mal mesmo.

Aproveitando, caso alguém queira criar os pacotes RPM para esta versão do Xfce, eu publiquei um tópico em meu fórum explicando como consegui. Quem quiser dar uma conferida, segue o link direto para o tópico em questão:

http://www.guiaimob.cim.br/phpbb2/viewtopic.php?t=27

Obrigado pelos elogios e espero ter ajudado a comunidade. Té mais pessoal. ;D

[5] Comentário enviado por FelipeAbella em 19/08/2006 - 08:33h

Contribuindo:
Na página 2 você disse(escreveu)
"$ tar -zxfv nome_do_arquivo

Faça isso com os 23 tarballs."

Mas quem preferir(ou tiver preguiça):
$for i in `ls *.tar.gz`; do; tar -zxfv $i; done
e todos os arquivos serão descompactados.

Espero ter ajudado.


Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts